﻿/*
 *  Copyright 2012 Cloudbase Solutions Srl
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the Microsoft Public License (Ms-PL).  
 */

using System;
using Cloudbase.Iis.HostsFileManager.Model;
using System.Collections.Generic;
using System.Net;

namespace Cloudbase.Iis.HostsFileManager.Common
{
    public interface IHostsFileModuleService
    {
        void AddHost(string host, IPAddress ipAddress, string comment);
        bool ContainsHost(string host);
        IList<HostFileEntry> GetAllEntries();
        string GetHostsFilePath();
        void RemoveHost(string host);
        void UpdateHost(string originalHost, string host, IPAddress ipAddress, string comment);
    }
}
